import { Task } from './types';
export declare class InvalidPayloadError extends Error {
    operationName?: string;
    payload?: any;
    err?: any;
    constructor(operationName: string, payload: any, err: any);
}
export declare class MalformedRequestError extends Error {
    request: Task;
    constructor(request: Task);
}
export declare class OperationNotRegistered extends Error {
    operationName: string;
    constructor(operationName: string);
}
export declare class QueueNotRegistered extends Error {
    queueName?: string;
    constructor(queueName: string);
}
