"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var InvalidPayloadError = /** @class */ (function (_super) {
    __extends(InvalidPayloadError, _super);
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    function InvalidPayloadError(operationName, payload, err) {
        var _this = _super.call(this, 'Payload validation failed') || this;
        _this.name = 'InvalidPayloadError';
        _this.operationName = operationName;
        _this.payload = payload;
        _this.err = err;
        return _this;
    }
    return InvalidPayloadError;
}(Error));
exports.InvalidPayloadError = InvalidPayloadError;
var MalformedRequestError = /** @class */ (function (_super) {
    __extends(MalformedRequestError, _super);
    function MalformedRequestError(request) {
        var _this = _super.call(this, 'Malformed request received') || this;
        _this.request = request;
        _this.name = 'MalformedRequestError';
        return _this;
    }
    return MalformedRequestError;
}(Error));
exports.MalformedRequestError = MalformedRequestError;
var OperationNotRegistered = /** @class */ (function (_super) {
    __extends(OperationNotRegistered, _super);
    function OperationNotRegistered(operationName) {
        var _this = _super.call(this, 'No handler registered for operation') || this;
        _this.operationName = operationName;
        _this.name = 'OperationNotRegistered';
        return _this;
    }
    return OperationNotRegistered;
}(Error));
exports.OperationNotRegistered = OperationNotRegistered;
var QueueNotRegistered = /** @class */ (function (_super) {
    __extends(QueueNotRegistered, _super);
    function QueueNotRegistered(queueName) {
        var _this = _super.call(this, 'No queue configured for queueName') || this;
        _this.queueName = queueName;
        _this.name = 'QueueNotRegistered';
        return _this;
    }
    return QueueNotRegistered;
}(Error));
exports.QueueNotRegistered = QueueNotRegistered;
